URE(4)

NAME
ure - Realtek RTL8152/RTL8153/RTL8153B/RTL8153D/RTL8156 10/100/1Gb/2.5Gb USB Ethernet device

SYNOPSIS
ure* at uhub?
rgephy* at mii?
rlphy* at mii?

DESCRIPTION
The ure driver provides support for USB Ethernet adapters based on the Realtek RTL8152, RTL8153, RTL8153B, RTL8153D and RTL8156 chipsets.

The RTL8152 contains an integrated Fast Ethernet MAC, which supports both 10 and 100Mbps speeds in either full or half duplex. The RTL8153, RTL8153B and RTL8153D have Gigabit Ethernet MACs and additionally support 1000Mbps speeds. NICs based on the RTL8156 are capable of 10, 100, 1000 and 2500Mbps operation.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), mii(4), netintro(4), rgephy(4), rlphy(4), uhub(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The ure device driver first appeared in OpenBSD 6.0.

AUTHORS
The ure driver was written by Kevin Lo <kevlo@FreeBSD.org>.